------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
function CreateVault(namePlayerToshow)
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local vault = player:GetVault();
	local vaultSize = vault:GetCapacity();

	local nbrItemInVault = 0;
	local windowHeightSize = 0;
	local windowWidth = 0;

	windowWidth = 400;

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		if(settings["nameAlts"]["alts" .. i]["name"] == namePlayerToshow)then
			for j=1, 300 do
				if(settings["nameAlts"]["alts" .. i]["coffre"]["slot" .. j]["N"] ~= "")then
					nbrItemInVault = nbrItemInVault + 1;
				end
			end
		end
	end

	windowHeightSize = nbrItemInVault * 38 + 80;

	VaultWindow=Turbine.UI.Lotro.GoldWindow(); 
	if(windowHeightSize < 600)then
		VaultWindow:SetSize(windowWidth, windowHeightSize + 70); 
	else
		VaultWindow:SetSize(windowWidth, 600 + 70); 
	end
	VaultWindow:SetText("coffre de " .. tostring(namePlayerToshow)); 
	VaultWindow:SetPosition((Turbine.UI.Display:GetWidth()-VaultWindow:GetWidth())/2,(Turbine.UI.Display:GetHeight()-VaultWindow:GetHeight())/2); 

	VaultWindow.Message=Turbine.UI.Label(); 
	VaultWindow.Message:SetParent(VaultWindow); 
	VaultWindow.Message:SetSize(150,10); 
	VaultWindow.Message:SetPosition(VaultWindow:GetWidth()/2 - 75, VaultWindow:GetHeight() - 20); 
	VaultWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	VaultWindow.Message:SetText("par Homeopatix"); 
	VaultWindow:SetZOrder(10);
	VaultWindow:SetWantsKeyEvents(true);
	VaultWindow:SetVisible(false);

	VaultWindow.Message=Turbine.UI.Label(); 
	VaultWindow.Message:SetParent(VaultWindow); 
	VaultWindow.Message:SetSize(150,10); 
	VaultWindow.Message:SetPosition(VaultWindow:GetWidth()/2 - 75, VaultWindow:GetHeight() - 70); 
	VaultWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	VaultWindow.Message:SetText("coffre space : " .. nbrItemInVault .. "/" .. vaultSize); 
	VaultWindow:SetZOrder(10);
	VaultWindow:SetWantsKeyEvents(true);
	VaultWindow:SetVisible(false);

	buttonCloseVault = Turbine.UI.Lotro.GoldButton();
	buttonCloseVault:SetParent( VaultWindow );
	buttonCloseVault:SetPosition(VaultWindow:GetWidth()/2 - 125, VaultWindow:GetHeight() - 50);
	buttonCloseVault:SetSize( 300, 20 );
	buttonCloseVault:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	buttonCloseVault:SetText( Strings.PluginCloseButton );
	buttonCloseVault:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	buttonCloseVault:SetVisible(true);
	buttonCloseVault:SetMouseVisible(true);

	buttonCloseVault.MouseClick = function(sender, args)
		settings["isShowVaultVisible"]["isShowVaultVisible"] = false;
		VaultWindow:SetVisible(false);
	end

	centerWindow = {};
	centerWindowName = {};
	altsvaultDatas = { }; 

	-- fill up the datas for the window
	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		if(settings["nameAlts"]["alts" .. i]["name"] == namePlayerToshow)then
			for j=1, vaultSize do
				altsvaultDatas[j] = settings["nameAlts"]["alts" .. i]["coffre"]["slot" .. j];
			end
		end
	end

	-- create the viewport control all it needs is size and position as it is simply used to create viewable bounds for our map
	viewport1=Turbine.UI.Control();
	viewport1:SetParent(VaultWindow);

	if(((nbrItemInVault * 38) + 10) < 535)then
		viewport1:SetSize(windowWidth-35,(nbrItemInVault * 38) + 10);
	else
		viewport1:SetSize(windowWidth-55, 535);
	end

	viewport1:SetPosition(10, 40);
	-- create the map content for our viewport, again, it only needs size and position as it is just a container for the grid of images
	viewport1.map=Turbine.UI.Control();
	viewport1.map:SetParent(viewport1); -- set the map as a child of the viewport so that it will be bounded by it for drawing purposes
	viewport1.map:SetSize(windowWidth-55, (nbrItemInVault * 38) + 10); -- we'll use a 5x4 grid but this obviously could be expanded, or even set up as a recycled array of controls
	viewport1.map:SetPosition(0,0); -- we'll start off in the upper left


	-- green with border = 0x4101DBB0
	-- blue with border = 0x410D709A
	-- grey with special border = 0x410DD1B3

	-- greyspecial fomd = 0x4111CE23
	-- greyspecial gree fond = 0x4111CE24
	-- greyspecial viole fond = 0x4111CE25
	-- greyspecial bluefond = 0x4111CE26
	-- greyspecial grey fond = 0x4111CE27


	local posx = 10;
	local posy = 10;
	if(namePlayerToshow ~= "")then
		for i=1, vaultSize do  
		if(altsvaultDatas[i].N ~= "")then
			centerWindow[i] = Turbine.UI.Control();
			centerWindow[i]:SetSize( 32 , 32 );
			centerWindow[i]:SetParent( viewport1.map );
			centerWindow[i]:SetPosition( posx, posy);
			centerWindow[i]:SetVisible( true );
			centerWindow[i]:SetBackground(0x41000001); -- fond grey
			--centerWindow[i]:SetBackColor( Turbine.UI.Color( .9, .5, .7, .5) );

			centerWindowName[i] = Turbine.UI.Control();
			centerWindowName[i]:SetSize( 300 , 32 );
			centerWindowName[i]:SetParent( viewport1.map );
			centerWindowName[i]:SetPosition( posx + 45, posy);
			centerWindowName[i]:SetVisible( true );
			centerWindowName[i]:SetBackColor( Turbine.UI.Color( 0.9, 0.3, 0.3, 0.3 ) );

			itemTmp = Turbine.UI.Control();
			centerWindow[i].itemTmp = itemTmp;
			itemTmp:SetParent( centerWindow[i] );
			itemTmp:SetSize( 32, 32 );
			itemTmp:SetPosition( 1, 1 );
			itemTmp:SetZOrder(centerWindow[i]:GetZOrder() + 1);
			itemTmp:SetBackground(altsvaultDatas[i].Q);
			itemTmp:SetBlendMode( Turbine.UI.BlendMode.Overlay );
			itemTmp:SetVisible( true );
			itemTmp:SetMouseVisible( true );

			itemTmp1 = Turbine.UI.Control();
			itemTmp1:SetParent( centerWindow[i] );
			itemTmp1:SetSize( 32, 32 );
			itemTmp1:SetPosition( 1, 1 );
			itemTmp1:SetZOrder(centerWindow[i]:GetZOrder() + 1);
			itemTmp1:SetBackground(altsvaultDatas[i].B);
			itemTmp1:SetBlendMode( Turbine.UI.BlendMode.Overlay );
			itemTmp1:SetVisible( true );

			itemTmp2 = Turbine.UI.Control();
			itemTmp2:SetParent( centerWindow[i] );
			itemTmp2:SetSize( 32, 32 );
			itemTmp2:SetPosition( 1, 1 );
			itemTmp2:SetZOrder(centerWindow[i]:GetZOrder() + 1);

			if(altsvaultDatas[i].U == 0)then
					if(altsvaultDatas[i].QA == 0)then
						if(altsvaultDatas[i].CAT == 55)then
							itemTmp2:SetBackground(0x41000E44); -- fond brown = 0x41000E44
						else
							itemTmp2:SetBackground(0x41000001); -- fond grex 0x41000001
						end
					end
					if(altsvaultDatas[i].QA == 1)then
						if(altsvaultDatas[i].CAT == 55)then
							itemTmp2:SetBackground(0x41000E44); -- fond brown = 0x41000E44
						else
							itemTmp2:SetBackground(0x41000005); -- fond yellow = 0x41000005
						end
					end
					if(altsvaultDatas[i].QA == 2)then
						if(altsvaultDatas[i].S == 0)then
							altsvaultDatas[i].S = 0x41019972;   -- fond orange light
						end
						if(altsvaultDatas[i].CAT == 55)then
							itemTmp2:SetBackground(0x41000E44); -- fond brown = 0x41000E44
						elseif(altsvaultDatas[i].CAT == 188 or
								altsvaultDatas[i].CAT == 27 or
								altsvaultDatas[i].CAT == 38 or
								altsvaultDatas[i].CAT == 56)then	
							itemTmp2:SetBackground(0x4101DBB0); -- fond green big corner on the border = 0x4101DBB0
						elseif(altsvaultDatas[i].CAT == 28)then	
							if(altsvaultDatas[i].B == 1090519043)then
								itemTmp2:SetBackground(0x41000003); -- fond purple = 0x41000003
							else
								itemTmp2:SetBackground(0x41000004); -- fond blue = 0x41000004 --------1090519043
							end
						elseif(altsvaultDatas[i].CAT == 37)then	
							if(altsvaultDatas[i].B == 1090640816)then
								itemTmp2:SetBackground(0x4101DBB0); -- fond green big corner on the border = 0x4101DBB0
							else
								itemTmp2:SetBackground(0x410EA2A3); -- Legendaire purple = 0x410EA2A3
							end
						elseif(altsvaultDatas[i].CAT == 50)then	
							itemTmp2:SetBackground(0x41000004); -- fond blue = 0x41000004
						elseif(altsvaultDatas[i].CAT == 47)then	
							itemTmp2:SetBackground(0x410030E2); -- dust brown = 0x410030E2
						elseif(altsvaultDatas[i].CAT == 1 or
								altsvaultDatas[i].CAT == 10 or
								altsvaultDatas[i].CAT == 12 or
								altsvaultDatas[i].CAT == 19 or
								altsvaultDatas[i].CAT == 22 or
								altsvaultDatas[i].CAT == 24 or
								altsvaultDatas[i].CAT == 30 or
								altsvaultDatas[i].CAT == 34 or
								altsvaultDatas[i].CAT == 40 or
								altsvaultDatas[i].CAT == 44 or
								altsvaultDatas[i].CAT == 106 or
								altsvaultDatas[i].CAT == 110 or
								altsvaultDatas[i].CAT == 111 or
								altsvaultDatas[i].CAT == 233)then	
							itemTmp2:SetBackground(0x410EA2A3); -- Legendaire purple = 0x410EA2A3
						else
							itemTmp2:SetBackground(0x41000003); -- fond purple = 0x41000003
						end
					end
					if(altsvaultDatas[i].QA == 3)then
						if(altsvaultDatas[i].CAT == 55)then
							itemTmp2:SetBackground(0x41000E44); -- fond brown = 0x41000E44
						elseif(altsvaultDatas[i].CAT == 27)then
							itemTmp2:SetBackground(0x41105CB5); -- fond specail object venant du cadeau = 0x41105CB5
						elseif(altsvaultDatas[i].CAT == 56)then
							itemTmp2:SetBackground(0x4101DBB0); -- fond green big corner on the border = 0x4101DBB0
						else
							itemTmp2:SetBackground(0x41000004); -- fond blue = 0x41000004
						end
					end
					if(altsvaultDatas[i].QA == 4)then
						if(altsvaultDatas[i].S == 0)then
							altsvaultDatas[i].S = 0x41000002;
						end
						if(altsvaultDatas[i].CAT == 55)then
							itemTmp2:SetBackground(0x41000E44); -- fond brown = 0x41000E44
						elseif(altsvaultDatas[i].CAT == 50)then
							itemTmp2:SetBackground(0x41000004); -- fond blue = 0x41000004
						elseif(altsvaultDatas[i].CAT == 16 or
								altsvaultDatas[i].CAT == 17 or
								altsvaultDatas[i].CAT == 28 or
								altsvaultDatas[i].CAT == 48  or
								altsvaultDatas[i].CAT == 106 or
								altsvaultDatas[i].CAT == 171 or
								altsvaultDatas[i].CAT == 187 or
								altsvaultDatas[i].CAT == 235)then
							itemTmp2:SetBackground(0x41000002); -- fond green = 0x41000002
						else
							itemTmp2:SetBackground(0x4101DBB0); -- fond green big corner on the border = 0x4101DBB0
						end
					end
					if(altsvaultDatas[i].QA == 5)then
						if(altsvaultDatas[i].CAT == 55)then
							if(altsvaultDatas[i].B == 1091591349)then
								itemTmp2:SetBackground(0x41105CB5); -- fond specail object venant du cadeau = 0x41105CB5
							else
								itemTmp2:SetBackground(0x41000E44); -- fond brown = 0x41000E44     --- B = 1091591349
							end
						elseif(altsvaultDatas[i].CAT == 183 or
								altsvaultDatas[i].CAT == 279)then
							itemTmp2:SetBackground(0x41105CB5); -- fond specail object venant du cadeau = 0x41105CB5
						elseif(altsvaultDatas[i].CAT == 38)then
							itemTmp2:SetBackground(0x4101DBB0); -- fond green big corner on the border = 0x4101DBB0
						else
							itemTmp2:SetBackground(0x41105CB5); -- fond specail object venant du cadeau = 0x41105CB5
						end
					end
				else
					itemTmp2:SetBackground(altsvaultDatas[i].U);
				end

			itemTmp2:SetBlendMode( Turbine.UI.BlendMode.Overlay );
			itemTmp2:SetVisible( true );

			itemTmp3 = Turbine.UI.Control();
			itemTmp3:SetParent( centerWindow[i] );
			itemTmp3:SetSize( 32, 32 );
			itemTmp3:SetPosition( 1, 1 );
			itemTmp3:SetZOrder(centerWindow[i]:GetZOrder() + 1);
			if(altsvaultDatas[i].S == 0)then
				if(altsvaultDatas[i].QA == 1)then
					itemTmp3:SetBackground(0x410030C4);
				end
				if(altsvaultDatas[i].QA == 2)then
					itemTmp3:SetBackground(0x410030C4);
				end
				if(altsvaultDatas[i].QA == 3)then
					itemTmp3:SetBackground(0x410030C4);
				end
				if(altsvaultDatas[i].QA == 4)then
					itemTmp3:SetBackground(0x410030C4);
				end
				if(altsvaultDatas[i].QA == 5)then
					itemTmp3:SetBackground(0x410030C4);
				end
			else
				itemTmp3:SetBackground(altsvaultDatas[i].S);
			end
			itemTmp3:SetBlendMode( Turbine.UI.BlendMode.Overlay );
			itemTmp3:SetVisible( true );

			itemTmp4 = Turbine.UI.Control();
			itemTmp4:SetParent( centerWindow[i] );
			itemTmp4:SetSize( 32, 32 );
			itemTmp4:SetPosition( 1, 1 );
			itemTmp4:SetZOrder(centerWindow[i]:GetZOrder() + 1);
			itemTmp4:SetBackground(altsvaultDatas[i].I);
			itemTmp4:SetBlendMode( Turbine.UI.BlendMode.Overlay );
			itemTmp4:SetVisible( true );

			VaultWindow.Message=Turbine.UI.Label(); 
			VaultWindow.Message:SetParent(centerWindowName[i]); 
			VaultWindow.Message:SetSize(300, 32); 
			VaultWindow.Message:SetPosition( 1, 1); 
			VaultWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
			VaultWindow.Message:SetText(rgb["gold"] .. altsvaultDatas[i].QUA .. rgb["clear"] .. " " .. altsvaultDatas[i].N); 
			VaultWindow.Message:SetBackColor(Turbine.UI.Color( 0.9, 0.3, 0.3, 0.3 ));
			VaultWindow.Message:SetMarkupEnabled(true);

			posy = posy + 38;
		end
	end
	end

	-- create the vertical scrollbar for our viewport
	if(((nbrItemInVault * 38) + 10) < 535)then
		viewport1:SetSize(365,(nbrItemInVault * 38) + 10);
	else
		vscroll1=Turbine.UI.Lotro.ScrollBar();
		vscroll1:SetParent(VaultWindow);
		vscroll1:SetOrientation(Turbine.UI.Orientation.Vertical);
		vscroll1:SetPosition(windowWidth-20, 40);
		vscroll1:SetSize(12,viewport1:GetHeight()); -- set width to 12 since it's a "Lotro" style scrollbar and the height is set to match the control that we will be scrolling
		vscroll1:SetBackColor(Turbine.UI.Color(.1,.1,.2)); -- just to give it a little style
		vscroll1:SetMinimum(0);
		vscroll1:SetMaximum(viewport1.map:GetHeight()-viewport1:GetHeight()); -- we will allow scrolling the height of the map-the viewport height
		vscroll1:SetValue(0); -- set the initial value
		-- set the ValueChanged event handler to take an action when our value changes, in this case, change the map position relative to the viewport
		vscroll1.ValueChanged=function()
			viewport1.map:SetTop(0-vscroll1:GetValue());
		end
	end
end