------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------

EntryCharacterButton = {};
images = { "/beornide.tga",
				"/cambrioleur.tga",
				"/capitaine.tga",
				"/champion.tga",
				"/chasseur.tga",
				"/gardien.tga",
				"/maitredesrunes.tga",
				"/maitredusavoir.tga",
				"/menestrel.tga",
				"/sentinelle.tga"};

function CreateAddNewAltWindow(accountValue)
	AltHolicAddnewAltWindow=Turbine.UI.Lotro.GoldWindow(); 
	AltHolicAddnewAltWindow:SetSize(300,150); 
	AltHolicAddnewAltWindow:SetText("Add new Alt"); 
	AltHolicAddnewAltWindow.Message=Turbine.UI.Label(); 
	AltHolicAddnewAltWindow.Message:SetParent(AltHolicWindow); 
	AltHolicAddnewAltWindow.Message:SetSize(150,10); 
	AltHolicAddnewAltWindow.Message:SetPosition(AltHolicWindow:GetWidth()/2 - 75, AltHolicWindow:GetHeight() - 20); 
	AltHolicAddnewAltWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	AltHolicAddnewAltWindow.Message:SetText(Strings.PluginText); 
	AltHolicAddnewAltWindow:SetZOrder(1);
	AltHolicAddnewAltWindow:SetWantsKeyEvents(true);
	AltHolicAddnewAltWindow:SetVisible(false);

	AltHolicAddnewAltWindow:SetPosition(settings["windowPosition"]["xPos"] + 10, settings["windowPosition"]["yPos"] + 10);
	------------------------------------------------------------------------------------------
	-- center window
	------------------------------------------------------------------------------------------
	AltHolicAddnewAltWindow.Message=Turbine.UI.Label(); 
	AltHolicAddnewAltWindow.Message:SetParent(AltHolicAddnewAltWindow); 
	AltHolicAddnewAltWindow.Message:SetSize(150,10); 
	AltHolicAddnewAltWindow.Message:SetPosition(60, 40); 
	AltHolicAddnewAltWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	AltHolicAddnewAltWindow.Message:SetText(accountValue); 

	textBoxSlots = Turbine.UI.Lotro.TextBox();
	textBoxSlots:SetParent( AltHolicAddnewAltWindow );
	textBoxSlots:SetSize(200, 40); 
	textBoxSlots:SetPosition(50, 60);
	textBoxSlots:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	textBoxSlots:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));
	textBoxSlots:SetBackColor( Turbine.UI.Color( .9, .5, .7, .5));	
	textBoxSlots:SetVisible(true);


	posyButton = 110 ;
	posxButton = 30;
for i=1, 10 do
	EntryCharacterButton[i]=Turbine.UI.Label();
	EntryCharacterButton[i]:SetSize(20 , 20);  
	EntryCharacterButton[i]:SetParent(AltHolicAddnewAltWindow); 
	EntryCharacterButton[i]:SetPosition(posxButton, posyButton); 
	EntryCharacterButton[i]:SetBackground(ResourcePath .. images[i]);
	EntryCharacterButton[i]:SetZOrder(1);
	EntryCharacterButton[i]:SetMouseVisible(true);
	posxButton = posxButton + 25;

end
	ValidateChangesForAlt(accountValue, images);
end

function FindAccountNumber(accountValue)
	vol = 1;
	for i=1, settings["nbrAccount"]["value"] do
		if(settings["nameAccount"]["account" .. i]["name"] == accountValue)then	
			return i;
		end
	end
	return val ;
end
function ValidateChangesForAlt(accountValue, images)
	for i=1, 10 do
		EntryCharacterButton[i].MouseClick = function(sender, args)
			Turbine.Shell.WriteLine(EntryCharacterButton[i]:GetBackground());

			settings["nameAccount"]["account" .. FindAccountNumber(accountValue)]["nbrAlt"] = settings["nameAccount"]["account" .. FindAccountNumber(accountValue)]["nbrAlt"] + 1;

			settings["nameAlts"]["alts" .. settings["nameAccount"]["account" .. FindAccountNumber(accountValue)]["nbrAlt"]] = { 
					name = textBoxSlots:GetText(), 
					accountName = accountValue;
					cla = images[i];
					};
			AltHolicAddnewAltWindow:SetVisible(false);
			SaveSettings();
			CreateMainWindow();
			AltHolicWindow:SetVisible(true);
		end
	end
end